/* 

	ExampleWebServiceClient.java
	
	This is an example client that invokes a web service.

*/

package com.newatlanta.examples;

import javax.xml.rpc.*;

public class ExampleWebServiceClient
{
	private static final String DEFAULT_ENDPOINT = "http://localhost:80/jwsdp/jaxrpc/ExampleWebServiceIF";

	public static void main( String[] args )
	{
		try
		{
			// If the endpoint wasn't passed in as an argument then use the default endpoint
			String endpoint;
			if ( args.length == 0 )
				endpoint = DEFAULT_ENDPOINT;
			else
				endpoint = args[ 0 ];
		
			// Get the stub for the web service using the class ExampleWebService_Impl that
			// was generated by the xrpcc tool
			Stub stub =(Stub)( new ExampleWebService_Impl().getExampleWebServiceIFPort() );
			
			// Set the address of the web service
			stub._setProperty( javax.xml.rpc.Stub.ENDPOINT_ADDRESS_PROPERTY, endpoint );
			
			// Cast the stub as an example web service interface
			ExampleWebServiceIF ex =(ExampleWebServiceIF)stub;
			
			// Set the message
			ex.setMessage( "SUCCESS!!!" );
			
			// Retrieve and display the message
			System.out.println( ex.getMessage() );
		}
		catch ( Throwable t )
		{
			t.printStackTrace();
		}
	}
}
